org.apache.cassandra.db.marshal

## Class InetAddressType

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<java.net.InetAddress>
  - - org.apache.cassandra.db.marshal.InetAddressType

- All Implemented Interfaces:
    java.util.Comparator<java.nio.ByteBuffer>

      public class InetAddressType
      extends AbstractType<java.net.InetAddress>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InetAddressType` | `instance`

    - ### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

      `columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, onDiskAtomComparator, reverseComparator`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CQL3Type` | `asCQL3Type()`
    `int` | `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
    `java.net.InetAddress` | `compose(java.nio.ByteBuffer bytes)`
    `java.nio.ByteBuffer` | `decompose(java.net.InetAddress value)`
    `java.nio.ByteBuffer` | `fromString(java.lang.String source)` get a byte representation of the given string.
    `java.lang.String` | `getString(java.nio.ByteBuffer bytes)` get a string representation of the bytes suitable for log messages
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

      `compareCollectionMembers, fromStringCQL2, getColumnsString, getReverseComparator, getString, isCollection, isCommutative, isCompatibleWith, isValueCompatibleWith, parseDefaultParameters, toString, validateCollectionMember`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Field Detail

    - #### instance

          public static final InetAddressType instance

  - ### Method Detail

    - #### compose

          public java.net.InetAddress compose(java.nio.ByteBuffer bytes)

      Specified by:
        `compose` in class `AbstractType<java.net.InetAddress>`

    - #### decompose

          public java.nio.ByteBuffer decompose(java.net.InetAddress value)

      Specified by:
        `decompose` in class `AbstractType<java.net.InetAddress>`

    - #### compare

          public int compare(java.nio.ByteBuffer o1,
                    java.nio.ByteBuffer o2)

    - #### getString

          public java.lang.String getString(java.nio.ByteBuffer bytes)

      Description copied from class: `AbstractType`
      get a string representation of the bytes suitable for log messages
      Specified by:
        `getString` in class `AbstractType<java.net.InetAddress>`

    - #### fromString

          public java.nio.ByteBuffer fromString(java.lang.String source)
                                         throws MarshalException

      Description copied from class: `AbstractType`
      get a byte representation of the given string.
      Specified by:
        `fromString` in class `AbstractType<java.net.InetAddress>`
      Throws:
        `MarshalException`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in class `AbstractType<java.net.InetAddress>`
      Throws:
        `MarshalException`

    - #### asCQL3Type

          public CQL3Type asCQL3Type()

      Overrides:
        `asCQL3Type` in class `AbstractType<java.net.InetAddress>`

Copyright © 2014 The Apache Software Foundation